Bio::Phylo::PhyloWS::Resource(3)

NAME
Bio::Phylo::PhyloWS::Resource - Represents a PhyloWS web resource

SYNOPSIS
 # no direct usage

DESCRIPTION
This class represents a resource on the web that implements the PhyloWS recommendations.

METHODS

  CONSTRUCTOR

new()
     Type    : Constructor
     Title   : new
     Usage   : my $phylows = Bio::Phylo::PhyloWS::Resource->new( -guid => $guid );
     Function: Instantiates Bio::Phylo::PhyloWS::Resource object
     Returns : a Bio::Phylo::PhyloWS::Resource object
     Args    : Required: -guid => $guid
               Optional: any number of setters. For example,
                       Bio::Phylo::PhyloWS::Resource->new( -format => $format )
                       will call set_format( $format ) internally

  TESTS

is_identifiable()
    Tests if invocant has an xml id attribute

     Type    : Test
     Title   : is_identifiable
     Usage   : if ( $obj->is_identifiable ) {
                  # do something
               }
     Function: Tests if invocant has an xml id attribute
     Returns : FALSE
     Args    : NONE

  SERIALIZERS

to_xml()
    Serializes resource to RSS1.0 XML representation

     Type    : Serializer
     Title   : to_xml()
     Usage   : print $obj->to_xml();
     Function: Serializes object to RSS1.0 XML string
     Returns : String
     Args    : None
     Comments:

SEE ALSO
There is a mailing list at <https://groups.google.com/forum/#!forum/bio-phylo> for any user or developer questions and discussions.

Also see the manual: Bio::Phylo::Manual and <http://rutgervos.blogspot.com>

CITATION
If you use Bio::Phylo in published research, please cite it:

Rutger A Vos, Jason Caravas, Klaas Hartmann, Mark A Jensen and Chase Miller, 2011. Bio::Phylo - phyloinformatic analysis using Perl. BMC Bioinformatics 12:63. <http://dx.doi.org/10.1186/1471-2105-12-63>